Up: list [Contents][Index]

#### Listing the Contents of a Stored Directory

To get information about the contents of an archived directory, use the directory name as a file name argument in conjunction with `--list` (`-t`). To find out file attributes, include the `--verbose` (`-v`) option.

For example, to find out about files in the directory `practice`, in the archive file `music.tar`, type:

    $ tar --list --verbose --file=music.tar practice

`tar` responds:

    drwxrwxrwx myself/user       0 1990-05-31 21:49 practice/
    -rw-r--r-- myself/user      42 1990-05-21 13:29 practice/blues
    -rw-r--r-- myself/user      62 1990-05-23 10:55 practice/folk
    -rw-r--r-- myself/user      40 1990-05-21 13:30 practice/jazz
    -rw-r--r-- myself/user   10240 1990-05-31 21:49 practice/collection.tar

When you use a directory name as a file name argument, `tar` acts on all the files (including sub-directories) in that directory.